## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
# * Most of the tests require a browser
# * Missing dependencies: actix-files
%bcond_with check
%global debug_package %{nil}

%global crate webbrowser

Name:           rust-webbrowser
Version:        0.8.12
Release:        %autorelease
Summary:        Open URLs in web browsers available on a platform

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/webbrowser
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          webbrowser-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Open URLs in web browsers available on a platform.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+disable-wsl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+disable-wsl-devel %{_description}

This package contains library source intended for building other packages which
use the "disable-wsl" feature of the "%{crate}" crate.

%files       -n %{name}+disable-wsl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hardened-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hardened-devel %{_description}

This package contains library source intended for building other packages which
use the "hardened" feature of the "%{crate}" crate.

%files       -n %{name}+hardened-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Nov 04 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.8.12-1
- Update to 0.8.12 (#2088343)

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-9
- Regenerate with rust2rpm v24

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 18 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-4
- Disable WASM-specific features.
- Simplify skipping specific tests.
- Regenerate spec file with rust2rpm 21.

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 08 17:41:02 CEST 2021 Jens Reimann <jreimann@redhat.com> - 0.5.5-1
- Initial package

